%define libname %mklibname %name %version
%define devname %mklibname %name -d

Summary:        The SWORD Project framework for manipulating Bible texts
Name:           sword
Version:        1.6.2
Release:        %mkrel 11
License:        GPLv2+
URL:            http://www.crosswire.org/sword/software/
Source:         http://www.crosswire.org/ftpmirror/pub/sword/source/v1.6/%{name}-%{version}.tar.gz
Source1:        ftp://ftp.zedz.net/pub/crypto/crypto/LIBS/sapphire/sapphire.zip 
Source2:        sword_icons.tar.bz2
# patch taken from Fedora:
# http://pkgs.fedoraproject.org/gitweb/?p=sword.git;a=blob_plain;f=sword-no-curl-types.patch;hb=HEAD
Patch0:         sword-no-curl-types.patch
Patch1:		sword-gcc47-fix.patch
Group:          System/Libraries
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel
BuildRequires:  curl-devel
BuildRequires:  icu-devel
BuildRequires:  icu
BuildRequires:  idn-devel
BuildRequires:  clucene-devel
BuildRequires:  cppunit-devel
Requires:       %libname = %{version}
Requires:       curl


%description
The SWORD Project is an effort to create an ever expanding software package 
for research and study of God and His Word.  The SWORD Framework 
allows easy manipulation of Bible texts, commentaries, lexicons, dictionaries, 
etc.  Many frontends are build using this framework.  An installed module 
set may be shared between any frontend using the framework.

%package -n %libname
Summary:         Main library for sword
Group:           System/Libraries

%description -n %libname
This package contains the library needed to run programs dynamically
linked with sword.

%package -n %devname
Summary:         Development files for lib%name
Group:           Development/C
Requires:        %libname = %{version}
Provides:        %{name}-devel = %{version}-%{release}
Provides:        lib%{name}-devel = %{version}-%{release}

%description -n %devname
This package contains the headers that programmers 
will need to develop applications which will use the SWORD Bible Framework.

%prep
%setup -q -a2
%patch0 -p1 -b .no-curl-types
%patch1 -p0 -b .gcc

%{_bindir}/unzip -d sapphire %{SOURCE1}
%{__cp} -a sapphire/SAPPHIRE.H include/sapphire.h
%{__cp} -a sapphire/SAPPHIRE.CPP src/modules/common/sapphire.cpp

%build
%{configure2_5x} --with-zlib --with-curl --with-icu --with-clucene --enable-shared --enable-utilities --disable-debug --with-conf
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%{__install} -m 0755 utilities/{mkfastmod,mod2vpl,vpl2mod} %{buildroot}%{_bindir}

rm -f %buildroot%_defaultdocdir/%name/Makefile.am

# remove .la and .a files
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la

%files
%doc README AUTHORS NEWS INSTALL LICENSE ChangeLog 
%doc samples doc/*.*
%attr(0755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_libdir}/sword/%{version}_icu_*/translit_*.res
%config(noreplace) %{_sysconfdir}/sword.conf

%files -n %libname
%{_libdir}/*%{name}-%{version}.so

%files -n %devname
%attr(0755,root,root) %dir %{_includedir}/sword
%{_includedir}/sword/*.*
%{_libdir}/*%{name}.so
%{_libdir}/pkgconfig/*.pc


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.6.2-11.mga3
+ Revision: 383858
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 fwang <fwang> 1.6.2-10.mga3
+ Revision: 314741
- fix build with latest gcc
- rebuild for new icu

* Tue May 29 2012 ovitters <ovitters> 1.6.2-9.mga3
+ Revision: 249444
- rebuild due to new libicu

* Fri Sep 30 2011 fwang <fwang> 1.6.2-8.mga2
+ Revision: 150476
- rebuild for new clucene

* Wed Sep 28 2011 doktor5000 <doktor5000> 1.6.2-6.mga2
+ Revision: 149881
- fix missing curl/types.h compile problem (no-curl-types.patch, from Fedora)
- remove .la and .a files
- remove -static subpackage
- remove Makefile.am from installed files
- proper libification, removed unused major
- fixed Summary and Group of -devel subpackage
- fixed Summary for libsword subpackage
- added BuildRequires on clucene-devel, idn-devel, zlib-devel, openssl-devel and cppunit
- added configure switches to explicitly enable zlib-, icu- and clucene-support
- removed obsolete %%defattrs, %%clean and BuildRoot
- removed versioned Build-/Requires for curl
- removed Obsoletes
- imported package sword

